{"openapi":"3.0.2","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/sjcarrol/a-acta_3/1.0.0"}],"info":{"title":"AActa3","description":"REST API for AActa3 communication with Integraa, Imaago2, Globus3ETH","version":"1.0.0"},"paths":{"/common_status":{"put":{"tags":["common_status"],"summary":"Common Status","operationId":"common_status_common_status_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GlobusViaImaago"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"command_success":true,"command_response":{"aacta3_common_msg":{"aacta3_device_status":{"temperature":36,"humidity":25,"fpga_status":8503296,"memory_status":15,"pwr_status":1,"err_code":16,"mcu_id":1636040705,"version":{"fw_version":"20201127.1239.RC","fpga_version":"20201127.1.RC"},"fpga_id":3254812800,"aacta3_device":"IMAAGO2","dipsw_status":0}}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/device_status":{"put":{"tags":["device_status"],"summary":"Device Status","operationId":"device_status_device_status_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GlobusViaImaago"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"command_success":true,"command_response":{"aacta3_common_msg":{"aacta3_device_status":{"temperature":36,"humidity":25,"fpga_status":8503296,"memory_status":15,"pwr_status":1,"err_code":16,"mcu_id":1636040705,"version":{"fw_version":"20201127.1239.RC","fpga_version":"20201127.1.RC"},"fpga_id":3254812800,"aacta3_device":"IMAAGO2","dipsw_status":0}}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/brightness":{"put":{"tags":["brightness"],"summary":"Set Brightness","operationId":"set_brightness_brightness_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brightness"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"command_success":true,"command_response":{"protocol_header":{"addr":4261474304,"action_response_code":"ACK"}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/CarPark1":{"put":{"tags":["brightness"],"summary":"Set Brightness","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brightness"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"command_success":true,"command_response":{"protocol_header":{"addr":4261474304,"action_response_code":"ACK"}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/led_fail_check":{"put":{"tags":["led_fail_check"],"summary":"Led Fail Check","operationId":"led_fail_check_led_fail_check_put","parameters":[{"required":false,"schema":{"title":"Output","maximum":15,"minimum":0,"type":"integer","default":0},"name":"output","in":"query"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GlobusViaImaago"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"command_success":true,"command_response":{"globus3_led_fail_response":{"success":true,"detected_clocks":2304,"clk_detected":true,"data_detected":true,"fail_count":4}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/led_fail_counts":{"put":{"tags":["led_fail_counts"],"summary":"Led Fail Counts","operationId":"led_fail_counts_led_fail_counts_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GlobusViaImaago"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"command_success":true,"command_response":{"globus3_led_fail_counts":{"fail_counts":[4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/output_offsets":{"get":{"tags":["output_offsets"],"summary":"Get Output Offsets","operationId":"get_output_offsets_output_offsets_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"command_success":true,"command_response":{"globus3_controllers":[{"globus3_address":1,"output_offsets":[{"x":0,"y":0},{"x":0,"y":32},{"x":64,"y":0},{"x":64,"y":32},{"x":128,"y":0},{"x":128,"y":32},{"x":192,"y":0},{"x":192,"y":32},{"x":0,"y":64},{"x":0,"y":96},{"x":64,"y":64},{"x":64,"y":96},{"x":128,"y":64},{"x":128,"y":96},{"x":192,"y":64},{"x":192,"y":96}]},{"globus3_address":2,"output_offsets":[{"x":256,"y":0},{"x":256,"y":32},{"x":320,"y":0},{"x":320,"y":32},{"x":384,"y":0},{"x":384,"y":32},{"x":448,"y":0},{"x":448,"y":32},{"x":256,"y":64},{"x":256,"y":96},{"x":320,"y":64},{"x":320,"y":96},{"x":384,"y":64},{"x":384,"y":96},{"x":448,"y":64},{"x":448,"y":96}]}]}}}}}}},"put":{"tags":["output_offsets"],"summary":"Set Output Offsets","operationId":"set_output_offsets_output_offsets_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Imaago2OutputOffsets"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"command_success":true,"command_response":{"protocol_header":{"addr":4261474304,"action_response_code":"ACK"}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Brightness":{"title":"Brightness","type":"object","properties":{"r":{"title":"red","maximum":100,"minimum":0,"type":"integer","description":"red color brightness gain","default":100},"g":{"title":"green","maximum":100,"minimum":0,"type":"integer","description":"green color brightness gain","default":100},"b":{"title":"blue","maximum":100,"minimum":0,"type":"integer","description":"blue color brightness gain","default":100},"i":{"title":"intensity","maximum":100,"minimum":0,"type":"integer","description":"overall intensity multiplier for all colors","default":100},"back_side":{"title":"Back Side","type":"boolean","description":"True is adjusting back side of the screen","default":false},"override":{"title":"Override","type":"boolean","description":"True is overriding light-sensor based automatic brightenss control. To restore automatic brightness controll, set this to false","default":false}}},"Globus3OutputOffsets":{"title":"Globus3OutputOffsets","type":"object","properties":{"globus3_address":{"title":"Globus3Eth address","maximum":250,"minimum":1,"type":"integer","description":"Address assigned to Globus3Eth controller","default":1},"output_offsets":{"title":"Output Offsets","type":"array","items":{"$ref":"#/components/schemas/XYOffset"},"default":[{"x":0,"y":0},{"x":0,"y":32},{"x":0,"y":64},{"x":0,"y":96},{"x":64,"y":0},{"x":64,"y":32},{"x":64,"y":64},{"x":64,"y":96},{"x":128,"y":0},{"x":128,"y":32},{"x":128,"y":64},{"x":128,"y":96},{"x":192,"y":0},{"x":192,"y":32},{"x":192,"y":64},{"x":192,"y":96}]}}},"GlobusViaImaago":{"title":"GlobusViaImaago","type":"object","properties":{"imaago_port":{"title":"imaago Gigabit Ethernet port","maximum":1,"minimum":0,"type":"integer","description":"Imaago2 Gigabit Ethernet port selector (0=Port A, 1=Port B)","default":0},"globus_address":{"title":"Globus3Eth address","maximum":250,"minimum":0,"type":"integer","description":"Globus3Eth address","default":1},"globus_via_imaago":{"title":"Globus Via Imaago","type":"boolean","description":"True is Globus3Eth communication goes via Imaago2, instead of direct USB connection to Globus3Eth","default":false}}},"HTTPValidationError":{"title":"HTTPValidationError","type":"object","properties":{"detail":{"title":"Detail","type":"array","items":{"$ref":"#/components/schemas/ValidationError"}}}},"Imaago2OutputOffsets":{"title":"Imaago2OutputOffsets","type":"object","properties":{"globus3_controllers":{"title":"Globus3 Controllers","type":"array","items":{"$ref":"#/components/schemas/Globus3OutputOffsets"},"default":[{"globus3_address":1,"output_offsets":[{"x":0,"y":0},{"x":0,"y":32},{"x":0,"y":64},{"x":0,"y":96},{"x":64,"y":0},{"x":64,"y":32},{"x":64,"y":64},{"x":64,"y":96},{"x":128,"y":0},{"x":128,"y":32},{"x":128,"y":64},{"x":128,"y":96},{"x":192,"y":0},{"x":192,"y":32},{"x":192,"y":64},{"x":192,"y":96}]},{"globus3_address":2,"output_offsets":[{"x":0,"y":0},{"x":0,"y":32},{"x":0,"y":64},{"x":0,"y":96},{"x":64,"y":0},{"x":64,"y":32},{"x":64,"y":64},{"x":64,"y":96},{"x":128,"y":0},{"x":128,"y":32},{"x":128,"y":64},{"x":128,"y":96},{"x":192,"y":0},{"x":192,"y":32},{"x":192,"y":64},{"x":192,"y":96}]}]}}},"ValidationError":{"title":"ValidationError","required":["loc","msg","type"],"type":"object","properties":{"loc":{"title":"Location","type":"array","items":{"type":"string"}},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}}},"XYOffset":{"title":"XYOffset","required":["x","y"],"type":"object","properties":{"x":{"title":"X Offset","maximum":1920,"minimum":0,"type":"integer","description":"X Offset for an output"},"y":{"title":"Y Offset","maximum":1080,"minimum":0,"type":"integer","description":"Y Offset for an output"}}}}},"tags":[{"name":"common_status","description":"Retrieves common status for all devices"},{"name":"device_status","description":"Retrieves device-specific status"},{"name":"brightness","description":"Sets front or back-side brightness"},{"name":"led_fail_check","description":"Checks single LED output for LED failurws"},{"name":"led_fail_counts","description":"Returns summary numbers of LED failures for all outputs"}]}